<?xml version="1.0"?>

<plugin
    name = "%pluginName"
    id = "org.eclipse.hyades.logging.adapter.ui"
    version = "1.2.0"
    provider-name = "%providerName"
    class = "org.eclipse.hyades.logging.adapter.ui.AcadEditorPlugin$Implementation">

  <requires>
    <import plugin="org.eclipse.emf.edit"/>
    <import plugin="org.eclipse.emf.ecore.xmi"/>
    <import plugin="org.eclipse.emf.edit.ui"/>
    <import plugin="org.eclipse.xsd"/>            
    <import plugin="org.eclipse.hyades.logging.adapter"/>
    <import plugin="org.eclipse.hyades.logging.adapter.model"/>  
    <import plugin="org.eclipse.hyades.logging.core"/> 
  </requires>

   <runtime>
      <library name="adapterui.jar">
         <export name="*"/>
         <packages prefixes="org.eclipse.hyades.logging.adapter.ui"/>
      </library>
   </runtime>

  <extension-point id="cbeSchema" name="%CBE_Schema" schema="schema/cbeSchema.exsd"/>

   <extension
         point="org.eclipse.ui.perspectives">
      <perspective
            name="%PERSP_TITLE"
            icon="icons\full\obj16\adaptor_persp.gif"
            class="org.eclipse.hyades.logging.adapter.ui.internal.util.AcadPerspective"
            id="org.eclipse.hyades.logging.adapter.ui.perspective">
      </perspective>
   </extension>

   <extension
         point="org.eclipse.ui.views">
      <category
            name="%PERSP_TITLE"
            id="org.eclipse.hyades.logging.adapter.ui.views">
      </category>
      <view
            name="%TEMPLATE_LOG"
            icon="icons\full\cview\template_log.gif"
            class="org.eclipse.hyades.logging.adapter.ui.internal.views.LogView"
            category="org.eclipse.hyades.logging.adapter.ui.views"            
            id="org.eclipse.hyades.logging.adapter.ui.views.logview">
      </view>
      <view
            name="%RESULT_VIEW"
            icon="icons\full\cview\template_log.gif"
            class="org.eclipse.hyades.logging.adapter.ui.internal.views.ResultView"
            category="org.eclipse.hyades.logging.adapter.ui.views"            
            id="org.eclipse.hyades.logging.adapter.ui.views.resultview">
      </view> 
      <view
            name="%LOG_CONTENT"
            icon="icons\full\cview\template_log.gif"
            class="org.eclipse.hyades.logging.adapter.ui.internal.views.ContentView"
            category="org.eclipse.hyades.logging.adapter.ui.views"            
            id="org.eclipse.hyades.logging.adapter.ui.views.contentview">
      </view>                 
   </extension>

  <extension
    point = "org.eclipse.ui.newWizards">
      <category
            name="%NEW_WIZ_CATEG"
            id="org.eclipse.hyades.logging.adapter.ui">
      </category>
    <wizard
        id = "org.eclipse.hyades.logging.adapter.ui.internal.presentation.AdaptorModelWizardID"
        name = "%_UI_AdaptorModelWizard_label"
        class = "org.eclipse.hyades.logging.adapter.ui.internal.presentation.AdaptorModelWizard"
        category = "org.eclipse.hyades.logging.adapter.ui"
        icon = "icons/full/obj16/adaptor.gif">
      <description>%_UI_AdaptorModelWizard_description</description>
      <selection class = "org.eclipse.core.resources.IResource" />
    </wizard>
  </extension>

  <extension point = "org.eclipse.ui.editors">
    <editor
        id = "org.eclipse.hyades.logging.adapter.ui.internal.presentation.AdaptorEditorID"
        name = "%_UI_AdaptorEditor_label"
        icon = "icons/full/obj16/adaptor.gif"
        extensions = "adapter"
        class = "org.eclipse.hyades.logging.adapter.ui.internal.presentation.AdaptorEditor" 
        contributorClass="org.eclipse.hyades.logging.adapter.ui.internal.presentation.AdaptorActionBarContributor" >
    </editor>
  </extension>

  <extension point="org.eclipse.hyades.logging.adapter.ui.cbeSchema">
    <schema name="commonbaseevent1_0_1.xsd" />
  </extension>

  <extension point="org.eclipse.hyades.logging.adapter.contextListener">
    <contextListenerClassname name="org.eclipse.hyades.logging.adapter.ui.internal.util.TestContextListener" />
  </extension>

</plugin>
